Subject: bug#24918: 25.1; Fonts can make Emacs grind to a halt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Nov 2016 19:47:32 +0200

> From: Klaus-Dieter Bauer <[email-masked]>
> Date: Tue, 29 Nov 2016 11:29:03 +0100
> Cc: [email-masked]
> 
> The issue occurs with the default fonts too ("emacs -Q"). On Windows that means `Courier New' for `default'
> and `Monospace' for `fixed-pitch', `Monospace Serif` for `fixed-pitch-serif' and `Arial` for `variable-pitch'. 
> 
> With these default settings, the `package-list-packages' buffer works mostly fine, but the info page `(cl)
> Structures' for instace does not. Using different fonts, e.g. `Linux Libertine Mono' or `Noto Mono', the issue
> becomes only more widespread.
> 
> I detail, I noticed that the issue indeed does occur specifically when font substitution kicks in. In the info-page
> for `(cl) Structure' this occurs, because the "=>" is replaced by the unicode symbol "⇒", which is displayed in
> a different font; Sadly I can't figure out a way to identify the substituted font; It is definitely a variable-pitch font
> (the symbol is wider than the default font, such that characters are no longer vertically aligned with other
> lines). 

That's very strange, because I see nothing similar on my systems.

As Clément points out, "C-u C-x =" will show the font that is used to
display those characters.  Please tell what they are; they use Symbola
here (and that's how things should be, by default).